ExecuteException
Date: 2017-01-22

org.apache.commons.exec

## Class ExecuteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.exec.ExecuteException

- All Implemented Interfaces:
    java.io.Serializable

      public class ExecuteException
      extends java.io.IOException

  An exception indicating that the executing a subprocesses failed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecuteException(java.lang.String message, int exitValue)` Construct a new exception with the specified detail message.
    `ExecuteException(java.lang.String message, int exitValue, java.lang.Throwable cause)` Construct a new exception with the specified detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Return the underlying cause of this exception (if any).
    `int` | `getExitValue()` Gets the exit value returned by the failed process

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecuteException

          public ExecuteException(java.lang.String message,
                          int exitValue)

      Construct a new exception with the specified detail message.
      Parameters:
        `message` - The detail message
        `exitValue` - The exit value

    - #### ExecuteException

          public ExecuteException(java.lang.String message,
                          int exitValue,
                          java.lang.Throwable cause)

      Construct a new exception with the specified detail message and cause.
      Parameters:
        `message` - The detail message
        `exitValue` - The exit value
        `cause` - The underlying cause

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Return the underlying cause of this exception (if any).
      Overrides:
        `getCause` in class `java.lang.Throwable`

    - #### getExitValue

          public int getExitValue()

      Gets the exit value returned by the failed process
      Returns:
        The exit value